Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Interface AceRequest

All Known Implementing Classes:
  AbstractV3Request, AbstractV3RequestWithPasscode, AbstractV4Request, AbstractV4RequestWithPasscode, AceAuthV3Request, AceAuthV4Request, AceClientAuthV3Request, AceClientAuthV4Request, AceLockRequest, AceNewPinV3Request, AceNewPinV4Request, AceNextCodeV3Request, AceNextCodeV4Request, AceTimeRequest

    public interface AceRequest

This is the Ace agent request Interface. All request classes must implement this interface. This specifies generic methods for handling agent requests.

Field Summary
`static int` | `NO_RESPONSE`
`static int` | `QUEUE_RESPONSE` The return codes presented by processRequest().
`static int` | `RESPOND_NOW`

Method Summary
`AgentConfig` | `getAgentConfig()`
`AgentCipherProvider` | `getCipherProvider()` Returns the cipher provider used to decrypt this request.
`long` | `getCreationTime()` Returns the creation time.
`AcePacketHeader` | `getHeader()` Returns the request header.
`byte[]` | `getNonce()` Returns the nonce from the trailer.
`AceDatagram` | `getPacket()` Provides the original request datagram packet.
`byte` | `getProtocolVersion()` Returns the packet protocol version number from the header.
`AceResponse` | `getResponse()` Returns the response, if any, to this request.
`byte[]` | `getWpCode()`
`int` | `processRequest()` Overridden to perform the actual processing of the packet.
`java.lang.String` | `toString()` All requests must be able to be converted to a String.

Field Detail

### QUEUE_RESPONSE

    static final int QUEUE_RESPONSE

  The return codes presented by processRequest(). This controls how the resultant packet is handled.

  See Also:
    Constant Field Values

### RESPOND_NOW

    static final int RESPOND_NOW

See Also:
  Constant Field Values

### NO_RESPONSE

    static final int NO_RESPONSE

See Also:
  Constant Field Values

Method Detail

### processRequest

    int processRequest()
                       throws AcePacketException

  Overridden to perform the actual processing of the packet.

  Returns:
    A packet disposition of either QUEUE_RESPONSE, RESPOND_NOW or NO_RESPONSE.
  Throws:
    `AcePacketException`

### getPacket

    AceDatagram getPacket()
                          throws AcePacketException

  Provides the original request datagram packet.

  Returns:
    The request datagram packet.
  Throws:
    `AcePacketException`

### getResponse

    AceResponse getResponse()
                            throws AcePacketException

  Returns the response, if any, to this request. Overridden to provide an "AceResponse" result from the actual processing of the packet.

  Throws:
    `AcePacketException`

### getHeader

    AcePacketHeader getHeader()

  Returns the request header. This is used when constructing a Response from a Request.

  Returns:
    The request header.

### getCreationTime

    long getCreationTime()

  Returns the creation time. This is data needed to calculate server processing time for load balancing.

  Returns:
    The request creation time in milliseconds.

### getCipherProvider

    AgentCipherProvider getCipherProvider()

  Returns the cipher provider used to decrypt this request.

  Returns:
    The cipher provider used to encrypt the request.

### getNonce

    byte[] getNonce()

  Returns the nonce from the trailer. This is data needed to construct a Response from a Request.

  Returns:
    The nonce provided by the Agent in the request header.

### getProtocolVersion

    byte getProtocolVersion()

  Returns the packet protocol version number from the header.

  Returns:
    The protocol version number.

### toString

    java.lang.String toString()

  All requests must be able to be converted to a String.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A String representation of the request.

### getWpCode

    byte[] getWpCode()

  Returns:

### getAgentConfig

    AgentConfig getAgentConfig()

  Returns:
    Returns the agentConfig.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.